Bug 733184 - [abrt] telepathy-sunshine-0.2.0-2.gite26dd019.fc15: group.py:52:create_group:RuntimeError: dictionary changed size during iteration
Summary: [abrt] telepathy-sunshine-0.2.0-2.gite26dd019.fc15: group.py:52:create_group:...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-sunshine
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Julian Sikorski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1e293c8e321a96b3aac5f09231f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-25 03:57 UTC by Marek Michał Mazur
Modified: 2012-08-07 15:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 15:09:27 UTC


Attachments (Terms of Use)

Description Marek Michał Mazur 2011-08-25 03:57:03 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        /usr/bin/python /usr/libexec/telepathy-sunshine
comment:        Moving contact between groups.
component:      telepathy-sunshine
executable:     /usr/libexec/telepathy-sunshine
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        telepathy-sunshine-0.2.0-2.gite26dd019.fc15
reason:         group.py:52:create_group:RuntimeError: dictionary changed size during iteration
time:           Thu Aug 25 05:54:46 2011
uid:            500
username:       marek

backtrace:
:group.py:52:create_group:RuntimeError: dictionary changed size during iteration
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/sunshine/util/decorator.py", line 130, in async_function
:    func(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/sunshine/channel/group.py", line 52, in create_group
:    for group in self.conn.profile.groups:
:RuntimeError: dictionary changed size during iteration
:
:Local variables in innermost frame:
:group: <sunshine.lqsoft.pygadu.models.GaduContactGroup object at 0x3522210>
:name: dbus.String(u'Nieznajomi')
:g: <sunshine.lqsoft.pygadu.models.GaduContactGroup object at 0x369b9d0>
:h: <md5 HASH object @ 0x36c2620>
:self: <sunshine.channel.group.SunshineGroupChannel at /org/freedesktop/Telepathy/Connection/sunshine/gadugadu/_337719845/RosterChannel/Group/Nieznajomi at 0x369be10>
:group_xml: <Element 'Group' at 0x369bb50>

Comment 1 Marek Michał Mazur 2011-09-05 19:57:04 UTC
Package: telepathy-sunshine-0.2.0-2.gite26dd019.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
Adding contact.

Comment 2 Julian Sikorski 2011-09-05 20:09:26 UTC
I cannot reproduce the problem unfortunately. CCing upstream, please tell if you find a solid test case.

Comment 3 Fedora End Of Life 2012-08-07 15:09:30 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.